[Solved] 2.0b3 syntax error

Having trouble installing serendipity?
Post Reply
daniello
Regular
Posts: 84
Joined: Thu Apr 09, 2009 11:47 am

[Solved] 2.0b3 syntax error

Post by daniello » Wed Jul 30, 2014 2:43 pm

Had a security vulnerability on my server and after recovering my backup updated to version 2.0b3 by simply copying over to the target directory. Site is reachable and looks good - I can also login fine into admin. When I select the plugin manager though I get this:

Code: Select all

Parse error: syntax error, unexpected T_FUNCTION in <path>/functions_plugins_admin.inc.php on line 305
Could anyone point me to what the source of the problem could be?
Last edited by daniello on Fri Aug 08, 2014 7:07 pm, edited 1 time in total.

User avatar
Timbalu
Regular
Posts: 4598
Joined: Sun May 02, 2004 3:04 pm

Re: 2.0b3 syntax error

Post by Timbalu » Wed Jul 30, 2014 3:18 pm

This is how PHP expresses a closure. Which PHP version is used? Beta3 needs >= PHP 5.3.
Check (and update) your PHP version, anonymous functions are only supported on 5.3+.
For the bad case you can't, downgrade, or we will have to find a workaround for you. This is bad, but possible.
Regards,
Ian

Serendipity Styx Edition and additional_plugins @ https://ophian.github.io/ @ https://github.com/ophian

daniello
Regular
Posts: 84
Joined: Thu Apr 09, 2009 11:47 am

Re: 2.0b3 syntax error

Post by daniello » Wed Jul 30, 2014 3:45 pm

Thanks .. already very helpful. My hosting partner will update in the next days .. and hopefully all will be well then :-)

daniello
Regular
Posts: 84
Joined: Thu Apr 09, 2009 11:47 am

Re: 2.0b3 syntax error

Post by daniello » Fri Aug 08, 2014 7:07 pm

Updated and working well .. thanks again!

Post Reply